%define version	2.0.0
%define release	1mdk

%define req_libgnomemm_version 1.3.10
%define req_libgnomecanvasmm_version 2.0.0
%define req_gconfmm_version 2.0.1
%define req_libglademm_version 2.0.0

%define libname_basic gnomeuimm
%define libname %mklibname %{libname_basic}
%define api_version 2.0
%define lib_major 1

Summary:	A C++ wrapper for GNOME UI library
Name:		lib%{libname_basic}%{api_version}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/libgnomeuimm/1.3/libgnomeuimm-%{version}.tar.bz2
# (Abel) 1.3.17-1mdk Fix libtool 1.5 to search for staging libs first
Patch0:		libgnomeuimm-libtool-1.5.patch.bz2

BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomemm1.3-devel >= %{req_libgnomemm_version}
BuildRequires:	libgnomecanvasmm2.0-devel >= %{req_libgnomecanvasmm_version}
BuildRequires:	libgconfmm2.0-devel >= %{req_gconfmm_version}
BuildRequires:	libglademm2.0-devel >= %{req_libglademm_version}
BuildRequires:	doxygen

%description
This library provides a C++ wrapper for GNOME UI library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{libname}%{api_version}_%{lib_major}
Summary:	A C++ wrapper for GNOME UI library
Group:		System/Libraries
Provides:	%{libname}%{api_version} = %{version}-%{release}
Provides:	lib%{libname_basic} = %{version}-%{release}

%description -n %{libname}%{api_version}_%{lib_major}
This library provides a C++ wrapper for GNOME UI library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{libname}%{api_version}_%{lib_major}-devel
Summary:	Development files for libgnomeui C++ wrapper
Group:		Development/GNOME and GTK+
Requires:	%{libname}%{api_version}_%{lib_major} = %{version}
Provides:	%{libname}%{api_version}-devel = %{version}-%{release}
Provides:	lib%{libname_basic}-devel = %{version}-%{release}
Requires:	libgnomemm1.3-devel >= %{req_libgnomemm_version}
Requires:	libgnomecanvasmm2.0-devel >= %{req_libgnomecanvasmm_version}
Requires:	libgconfmm2.0-devel >= %{req_gconfmm_version}
Requires:	libglademm2.0-devel >= %{req_libglademm_version}

%description -n %{libname}%{api_version}_%{lib_major}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
libgnomeuimm, the C++ interface to libgnomeui.

It is necessary when compiling applications which use libgnomeuimm as well.


%prep
%setup -q -n lib%{libname_basic}-%{version}
%patch0 -p0 -b .libtool15

%build
# MDK does not use libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x --enable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
[ -z "%{buildroot}" -o "%{buildroot}" = / ] || rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname}%{api_version}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}%{api_version}_%{lib_major} -p /sbin/ldconfig

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = / ] || rm -rf %{buildroot}


%files -n %{libname}%{api_version}_%{lib_major}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/lib%{libname_basic}-2.0

###########################################################################
%changelog
* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0 (API frozen)
- Remove Patch1 (upstream)

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.17-1mdk
- 1.3.17
- Patch0: Fix libtool 1.5 to search for staging libs first
- Patch1 (CVS): Make GnomeUIInfo public, allowing building with gcc 3.3

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-1mdk
- 1.3.16

* Mon Jul  8 2002 Abel Cheung <maddog@linux.org.hk> 1.3.7-1mdk
- 1.3.7 (GNOME 2)
- First Mandrake spec, based on original spec in source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
